/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 新增组织 POST /api/SysOrg/AddSysOrg */
export async function addSysOrg(body: API.AddSysOrgInput, options?: API.RequestConfig) {
  return request<number>('/api/SysOrg/AddSysOrg', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取所有部门下拉列表 GET /api/SysOrg/GetAllDepartmentDropDownList */
export async function getAllDepartmentDropDownList(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetAllDepartmentDropDownListParams,
  options?: API.RequestConfig
) {
  return request<API.SysOrgDropDownListOutput[]>('/api/SysOrg/GetAllDepartmentDropDownList', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取组织明细详情 POST /api/SysOrg/GetSysOrgDetail */
export async function getSysOrgDetail(
  body: API.QuerySysOrgDetailInput,
  options?: API.RequestConfig
) {
  return request<API.SysOrgDetailOutput>('/api/SysOrg/GetSysOrgDetail', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取组织下拉列表 GET /api/SysOrg/GetSysOrgDropDownList */
export async function getSysOrgDropDownList(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetSysOrgDropDownListParams,
  options?: API.RequestConfig
) {
  return request<API.SysOrgDropDownListOutput[]>('/api/SysOrg/GetSysOrgDropDownList', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取组织架构树列表 GET /api/SysOrg/GetSysOrgLevelList */
export async function getSysOrgLevelList(options?: API.RequestConfig) {
  return request<API.SysOrgLevelOutput[]>('/api/SysOrg/GetSysOrgLevelList', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取组织分页列表 POST /api/SysOrg/GetSysOrgPage */
export async function getSysOrgPage(body: API.QuerySysOrgListInput, options?: API.RequestConfig) {
  return request<API.SysOrgListOutputPageOutput>('/api/SysOrg/GetSysOrgPage', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 设置组织状态 POST /api/SysOrg/SetSysOrgStatus */
export async function setSysOrgStatus(body: API.SetSysOrgStatusInput, options?: API.RequestConfig) {
  return request<number>('/api/SysOrg/SetSysOrgStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新组织 POST /api/SysOrg/UpdateSysOrg */
export async function updateSysOrg(body: API.UpdateSysOrgInput, options?: API.RequestConfig) {
  return request<number>('/api/SysOrg/UpdateSysOrg', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
